### 3.2 `cdc`

The `cdc` command allows you to add comments to the commentary for a particular delta in an SCCS file. Any delta in the file (other than ones removed with `rmdel`) can be modified.

If a comment is not specified on the command line, comments are accepted via standard input.

If the special argument name ‘`-`’ is being used, this means that a list of files to operate on is being read from standard input, and therefore the `-y` option is mandatory in this case.

The new comments are prepended to the existing comment for that delta, followed by a line of the form ‘`*** CHANGED *** yy/mm/dd hh:mm:ss who`’. This is followed by the original comment. Comments cannot be removed using `cdc`, but they can be added.

Only three options are supported:-

`-mMR-list`

  The specified (space-separated) list of MRs is added to the MR-list for the relevant delta. If more than one MR number is to be added, the whole option should be quoted, to protect the spaces. If an MR is prefixed with an exclamation mark (‘`!`’), then the indicated delta is removed from the existing list of MRs for the delta. The file comment is modified to indicate what MRs have been removed. If an MR to be removed is in fact not present in any case, this is silently ignored. and the comment is not updated for that MR. If you do not also want to add to the comment for the delta, specify an empty comment option (that, is, a bare `-y`).

`-rSID`

  This indicates which delta is to be changed. It must refer to an existing delta in the file, which has not been removed with `rmdel`.

`-yComment`

  This option introduces a comment to be added to the commentary for the specified SID. If more than one line is needed, it is a good idea to enclose the option in quotation marks to ensure that the shell includes them in the argument passed to `cdc`. An empty `-y` option can be used to indicate that the commentary for this delta is not to be modified (this is only useful when the `-m` option is used). If the `-y` option is not given, the user is prompted for comments.